<?php
	function validarLongitud($valor,$min,$max){
		$missatge1="Error minim";
		$missatge2="Error maxim";
		if(strlen($valor) < (int)$min){return  array(false,$missatge1);}
		else
			{
				if (!isset($max) || $max == "" ){return array(true);}
				else {
						if(strlen($valor) > (int)max){return  array(false,$missatge2);}
						else {return array(true);}
					 }
			}	
	}
	
	function validarNif($cadena)
	{
		//Missatges Error
		$missatge1="DNI no vlid";
		$missatge2="La lletra no coincideix";
		
		//Comprobem longitud
		if (strlen(substr($cadena, 0, strlen($cadena) - 1)) != 8) return array(false,$missatge1);      
	 
		//Posibles valors per la lletra
		$valorsLletra = array(
			0 => 'T', 1 => 'R', 2 => 'W', 3 => 'A', 4 => 'G', 5 => 'M',
			6 => 'Y', 7 => 'F', 8 => 'P', 9 => 'D', 10 => 'X', 11 => 'B',
			12 => 'N', 13 => 'J', 14 => 'Z', 15 => 'S', 16 => 'Q', 17 => 'V',
			18 => 'H', 19 => 'L', 20 => 'C', 21 => 'K',22 => 'E'
		);
	
		//Comprovar si s un DNI
		if (preg_match('/^[0-9]{8}[A-Z]$/i', $cadena))
		{
			//Comprobem lletra
			if (strtoupper($cadena[strlen($cadena) - 1]) !=
				$valorsLletra[((int) substr($cadena, 0, strlen($cadena) - 1)) % 23])
				return array(false,$missatge2);
	 
			//OK
			return array(true);
		}
		//Comprobem si s un NIE
		else if (preg_match('/^[XYZ][0-9]{7}[A-Z]$/i', $cadena))
		{
			//Comprobem lletra
			if (strtoupper($cadena[strlen($cadena) - 1]) !=
				$valorsLletra[((int) substr($cadena, 1, strlen($cadena) - 2)) % 23])
				return array(false,$missatge2);
	
			//OK
			return array(true);
		}
	   
		//KO
		return array(false,$missatge1);
	}
	
	function validarUsuari($valor){
		//Missatges Error
		$missatge1="Usuari ja existeix";
		
		$usuari = trim($valor);
    	$select_sql = sprintf("SELECT username FROM comissions WHERE username='%s';" ,
                      mysql_real_escape_string($usuari) );
    
   		$result = mysql_query($select_sql);
    if (!$result) {
        die('Invalid query: ' . mysql_error());
    }

    if (mysql_num_rows($result) >= 1) return array(false,$missatge1);
    else return array(true);
	}
	
	
	function validarEmail($email){
		//Missatges Error
		$missatge1="Email no vlid";
		
		$ret=ereg("^[a-zA-Z0-9]+[a-zA-Z0-9_-]+@[a-zA-Z0-9]+[a-zA-Z0-9.-]+[a-zA-Z0-9]+.[a-z]{2,4}$", $email);
		if ($ret) return array(true);
		else return array(false,$missatge1);
	}
	function validarPassword($pass1, $pass2) {
		//Missatges Error
		$missatge1="Les contrasenyes no coincideixen";
		if($pass1 == $pass2) return array(true);
		else return array(false,$missatge1);
	}
	
	function validateMessage($message){
		//if it's NOT valid
		if(strlen($message) < 10)
			return false;
		//if it's valid
		else
			return true;
	}
	
        function validarData($data){
           //Missatges Error
            $missatge1="Format de data no vlid (dd/mm/aaaa)"; 
            
            $val = explode ("/", $data);
            if(!checkdate($val[1], $val[0], $val[2])){
               return array(false,$missatge1); 
            }
            else return array(true);
        }
        
        function compararDates($primera, $segona)
         {
          //Missatges Error
          $missatge1="Format de data no vlid (dd/mm/aaaa)";  
          
          $valpri = explode ("/", $primera);   
          $valseg = explode ("/", $segona); 

          $julpri = gregoriantojd($valpri[1], $valpri[0], $valpri[2]);  
          $julseg = gregoriantojd($valseg[1], $valseg[0], $valseg[2]);     

          if(!checkdate($valpri[1], $valpri[0], $valpri[2])){
            return array(false,$missatge1);
          }elseif(!checkdate($valseg[1], $valseg[0], $valseg[2])){
            return array(false,$missatge1);
          }else{
            return array(true,$julpri - $julseg);
          } 

        }
      function validarCP($cadena)
         {
          //Missatges Error
          $missatge1="Codi Postal no vlid";  
          
          if (preg_match('/^[0-9]{5,5}([- ]?[0-9]{4,4})?$/', $cadena)) {
              return array(true);
            }  
          else return array(false,$missatge1);
         }  
       function validarCodiJEC($cadena)
         {
          //Missatges Error
          $missatge1="Nombre Junta Electoral Central no vlid (3 xifres)"; 
          $missatge2="Codi JEC ja existeix";
          
          if (preg_match('/^[0-9]{1,3}?$/', $cadena)) {
              $codi = trim($cadena);
              $select_sql = sprintf("SELECT codi_jec FROM ilps WHERE codi_jec='%s';" ,
                      mysql_real_escape_string($codi) );
    
                $result = mysql_query($select_sql);
                if (!$result) {
                     $missatge3="Query no vlida: ". mysql_error();
                     return array(false,$missatge3);
                }
                if (mysql_num_rows($result) >= 1) return array(false,$missatge2);
                else return array(true);
            }  
          else return array(false,$missatge1);
         }  
 
?>