<?php

require_once "./scripts/view.php";
require_once"./include/bbdd.php"; 
require_once"./scripts/validacio.php";
require_once './scripts/app_config.php';
require_once './scripts/database_connection.php';


session_start();
if (isset($_SESSION['error_message'])) {
	$error_message =$_SESSION['error_message']."<br/>";
	unset($_SESSION['error_message']);
}

$error_message .= $_REQUEST['error_message'];
if (!isset($_SESSION['idcomissio'])) {
	 header("Location: acces.php");	
	 exit();
}

$idcomissio = $_SESSION['idcomissio'];

$select_query = "SELECT * FROM ilps WHERE idcomis = " .$idcomissio.";";

$result = mysql_query($select_query);

if ($result) {
	while ($ilp =  mysql_fetch_array($result)){
		if ($ilp['estat']==1) $estat="Activa";
		else $estat="Inactiva";
		if ($ilp['data_mod']=="") $mod="";
		else $mod=formatejarTimeStampPHP($ilp['data_mod']);
		$table_ilp.= '<tr><td>'.$ilp['idilp'].'</td><td>'.$estat.'</td><td>'.$ilp['codi_jec'].'</td><td>'.$ilp['nom'].'</td><td>'.formatejarDataPHP($ilp['data_inici']).'</td><td>'.formatejarDataPHP($ilp['data_fi']).'</td><td>'.formatejarTimeStampPHP($ilp['data_cr']).'</td><td>'.$mod.'</td></tr>';  
	}
}
else $error_message .="Error: ".mysql_error()."<br/>";

if (isset($_POST['nova'])) {
         header("Location: ilp.php");	
         exit();       
}

if (isset($_POST['modificar'])) {
         if ((int)$_POST['id_ilp']==0) $error_message .= "Sha de seleccionar una ILP";
         else {
             header("Location: mod_ilp.php?idilp=".$_POST['id_ilp']."");	
             exit();
         }   
}

if (isset($_POST['esborrar'])) {
	if ((int)$_POST['id_ilp']==0) $error_message .= "Sha de seleccionar una ILP";
    else {
    	header("Location: del_ilp.php?idilp=".$_POST['id_ilp']."");	
		exit();
	}   
}

if (isset($_POST['actdes'])) {
	if ((int)$_POST['id_ilp']==0) $error_message .= "Sha de seleccionar una ILP";
	else {
		header("Location: actdes_ilp.php?idilp=".$_POST['id_ilp']."");	
		exit();
	}   
}

if (isset($_POST['vis_web'])) {
	if ((int)$_POST['id_ilp']==0) $error_message .= "Sha de seleccionar una ILP";
    else {
		$url="./web/".$_POST['cod_jec']."/index.php"; 
		echo "<SCRIPT>window.open('$url');</SCRIPT>"; 
         }   
}

if (isset($_POST['ges_sig'])) {
	if ((int)$_POST['id_ilp']==0) $error_message .= "Sha de seleccionar una ILP";
         else {
              header("Location: gestio_sig.php?idilp=".$_POST['id_ilp']."");	
            exit();
         }   
}

$inline_javascript = <<<EOD
$(document).ready(function(){ 
	$(".table_ilp tbody tr:even").addClass("prue");
  	$(".table_ilp tr").click(function(){
		$(this).siblings().removeClass("nivel4");
		$(this).toggleClass("nivel4");
		if ($(this).hasClass('nivel4')){
			$("#id_ilp").val($(this).children('td').first().text());
			$("#cod_jec").val($(this).children('td').eq(2).text());
		}
		else 
		{
			$("#id_ilp").val(""); 
			$("#cod_jec").val(""); 
		}
	});     
});
EOD;

page_start("Plataforma Legislativa", $inline_javascript);

?>

<div id="mainContent">
<?php
            display_textbar("Gesti Iniciatives Legislatives Populars");
            display_messages(NULL, $error_message); 
       ?>
<form method="post" id="ILPForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data" class="formulari" >
  <table cellpadding="0" cellspacing="2" width="100%" align="center" style="padding:10px 0px 0px 0px;">
    <tr>
      <td><input type="hidden" id="id_ilp" name="id_ilp"/>
        <input type="hidden" id="cod_jec" name="cod_jec"/></td>
    </tr>
    <tr>
      <td align="center"><div>
          <input id="nova" name="nova" type="submit" value="Nova Iniciativa"  class="ilp-button ilp-button-blue " />
          <input id="modificar" name="modificar" type="submit" value="Modificar"  class="ilp-button ilp-button-blue " />
          <input id="esborrar" name="esborrar" type="submit" value="Esborrar"  class="ilp-button ilp-button-blue " />
          <input id="vis_web" name="vis_web" type="submit" value="Visualitzar Web"  class="ilp-button ilp-button-blue " />
          <input id="ges_sig" name="ges_sig" type="submit" value="Gesti Signatures"  class="ilp-button ilp-button-blue " />
          <input id="actdes" name="actdes" type="submit" value="Activar/Desactivar"  class="ilp-button ilp-button-blue" />
        </div></td>
    </tr>
  </table>
</form>
<table cellpadding="0" cellspacing="2" class="table_ilp"  width="100%" align="center" >
  <thead>
    <tr>
      <th><label>Id</label></th>
      <th><label>Estat</label></th>
      <th><label>Codi<br/>
          Junta Electoral</label></th>
      <th><label>Nom</label></th>
      <th><label>Data Inici</label></th>
      <th><label>Data Fi</label></th>
      <th><label>Data Creaci</label></th>
      <th><label>Data Modificaci</label></th>
    </tr>
  </thead>
  <tbody>
    <?php echo($table_ilp);?>
  </tbody>
</table>
<?php display_footer();?>
</body>
</html>
