<?php
extract($_REQUEST);

$xmlstr = preg_replace("/(<\/?)(\w+):([^>]*>)/", "$1$2$3", $xml); 
$xml = new SimpleXMLElement($xmlstr);
$cert=trim($xml->dsSignature->dsKeyInfo->dsX509Data->dsX509Certificate);
$ocsp=trim($xml->dsSignature->dsObject->xadesQualifyingProperties->xadesUnsignedProperties->xadesUnsignedSignatureProperties->xadesRevocationValues->xadesOCSPValues->xadesEncapsulatedOCSPValue);

$x509cert = "-----BEGIN CERTIFICATE-----\n".chunk_split($cert, 64, "\n")."-----END CERTIFICATE-----\n";

$Certificado = openssl_x509_read($x509cert);
$pr=openssl_x509_parse($Certificado, FALSE);
if (strpos($pr['subject']['commonName'], 'NIF '))
{
   $ex=explode('NIF ',$pr['subject']['commonName']);
   $id=$ex[1];
}
else $id= $pr['subject']['serialNumber'];


$validFrom = date('Y-m-d H:i:s', $pr['validFrom_time_t']);
$validTo = date('Y-m-d H:i:s', $pr['validTo_time_t']);
$avui =date('Y-m-d H:i:s');
$valid="Si";
if ((strtotime($avui) > strtotime($validTo)) || (strtotime($avui) < strtotime($validFrom))){ 
  $valid="No";
}

print_r('{"nif":"' . $id . '"');
print_r(',"ocsp":"' . $ocsp . '"');
print_r(',"datavalid":');
print_r('{"from":"' . $validFrom . '"');
print_r(',"to":"' . $validTo  . '"');
print_r(',"valid":"' . $valid  . '"');
print_r("}"); 
print_r("}"); 
	

?>
