<?php

require_once "./scripts/view.php";
require_once"./scripts/validacio.php"; 
require_once"./include/bbdd.php"; 
require_once './scripts/app_config.php';
require_once './scripts/database_connection.php';

$error_message = $_REQUEST['error_message'];

session_start();

if (!isset($_SESSION['idcomissio'])) {
	 header("Location: acces.php");	
	 exit();
}

$idcomissio = $_SESSION['idcomissio'];
$username = $_SESSION['username']; 

$select_query = "SELECT * FROM comissions WHERE idcomissio = " .$idcomissio;

// Run the query
$result = mysql_query($select_query);

if ($result) {
  $row = mysql_fetch_array($result);
  $nif = $row['nif_r'];
  $nom = $row['nom_r'];
  $cognom1 = $row['cognom_1_r'];
  $cognom2 = $row['cognom_2_r'];
  $email = $row['email'];
  $password = $row['password'];	
}
else $error_message .="Error: ".mysql_error()."<br/>";

if( isset($_POST['sortir'])){
	 header("Location: index.php");	
	 exit();
}
if( isset($_POST['enviar'])){
	
  $nif = $_POST['nif'];
  $nom = $_POST['nom'];
  $cognom1 = $_POST['cognom1'];
  $cognom2 = $_POST['cognom2'];
  $email = $_POST['email'];
  $password = $_POST['contrasenya'];
	
  $rnif=validarNif($nif);
  if (!$rnif[0]) $error_message .="Error a Nif: ".$rnif[1]."<br/>";	
  $rnom=validarLongitud($nom,1);
  if (!$rnom[0]) $error_message .="Error a Nom: ".$rnom[1]."<br/>";		
  $rcognom1=validarLongitud($cognom1,1);
  if (!$rcognom1[0]) $error_message .="Error a Primer Cognom: ".$rcognom1[1]."<br/>";	
  $rcognom2=validarLongitud($cognom2,1);
  if (!$rcognom2[0]) $error_message .="Error a Segon Cognom: ".$rcognom2[1]."<br/>";	
  $remail=validarEmail($email);
  if (!$remail[0]) $error_message .="Error a Email: ".$remail[1]."<br/>";
  if (strlen($password)>0)
  {
	$rpass=validarLongitud($password,6);
	if (!$rpass[0]) $error_message .="Error a Contrasenya: ".$rpass[1]."<br/>";
	 $rcpass=validarPassword($password,$_POST['conf_contrasenya']);
	if (!$rcpass[0]) $error_message .="Error a Contrasenya: ".$rcpass[1]."<br/>";
  }
  else {$rpass[0]=$rcpass[0]=true;}
	  
	  
  if ($rnif[0] && $rnom[0] && $rnom[0] && $rcognom1[0] && $rcognom2[0] && $remail[0] && $rpass[0] && $rcpass[0])
  {
	$modcom=modificarComissio($idcomissio,$nif,$nom,$cognom1,$cognom2,$email,$username,$password);
	if (!$modcom[0])  $error_message .=$modcom[1]."<br/>";
	else
	{
		header("Location: gestio_ilp.php");
		exit();
	}
  }
}
        
$inline_javascript = <<<EOD
$(document).ready(function(){ 
	//global vars
	var form = $("#modComissioForm");
	var nif = $("#nif");
	var nom = $("#nom");
	var cognom1 = $("#cognom1");
	var cognom2 = $("#cognom2");
	var email = $("#email");
	var pass = $("#contrasenya");
	var conf_pass = $("#conf_contrasenya");
        
	nif.bind('blur keyup', function() {
		var ret=validarNif(nif.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introduir el NIF");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
	nom.bind('blur keyup', function() {				 
		var ret=validarLongitud(nom.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        cognom1.bind('blur keyup', function() {				 
		var ret=validarLongitud(cognom1.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        cognom2.bind('blur keyup', function() {				 
		var ret=validarLongitud(cognom2.val(),1);
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        email.bind('blur keyup', function() {
		var ret=validarEmail(email.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        pass.bind('blur keyup', function() {
		if(pass.val().length >0){								 
		  var ret=validarLongitud(pass.val(),6);
		  if(ret[0]) 
		  {
			  $(this).removeClass("error");
			  $(this).next('span').text("Introdueix el teu nom");
			  $(this).next('span').removeClass("error");
		  }
		  else
		  {
			  $(this).addClass("error");
			  $(this).next('span').text(ret[1]);
			  $(this).next('span').addClass("error");
		  }
		}
		else 
		 {
			  $(this).removeClass("error");
			  $(this).next('span').text("Introdueix el teu nom");
			  $(this).next('span').removeClass("error");
		  }
	});
        
        conf_pass.bind('blur keyup', function() {				 
		var ret=validarPassword(pass.val(),conf_pass.val());
		if(ret[0]) 
		{
			$(this).removeClass("error");
			$(this).next('span').text("Introdueix el teu nom");
			$(this).next('span').removeClass("error");
		}
		else
		{
			$(this).addClass("error");
			$(this).next('span').text(ret[1]);
			$(this).next('span').addClass("error");
		}
		
	});
        $("#enviar").click(function(){
            var rnif=validarNif(nif.val());
            if (!rnif[0]) {nif.blur();}
            var rnom=validarLongitud(nom.val(),1);
            if (!rnom[0]) {nom.blur();}
            var rcog=validarLongitud(cognom1.val(),1);
            if (!rcog[0]) {cognom1.blur();}
            var rcogs=validarLongitud(cognom2.val(),1);
            if (!rcogs[0]) {cognom2.blur();}
            var remail=validarEmail(email.val());
            if (!remail[0]) {email.blur();}
			var rpass=validarLongitud(pass.val(),6);
			if (!rpass[0]) {pass.blur();}
			var rconfpass=validarPassword(pass.val(),conf_pass.val());
			if (!rconfpass[0]) {conf_pass.blur();}
			if(pass.val().length ==0){rpass[0]=true;rconfpass[0]=true;}
            if(rnif[0] && rnom[0] && rcog[0] && rcogs[0] && remail[0] && rpass[0] && rconfpass[0])  {return true;}
            else return false;
        });
});
EOD;

page_start("Modificar Dades Comissi", $inline_javascript);
?>

<div id="mainContent">
<div id="textbar">
  <label>Modificar Dades Comissi</label>
</div>
<?php  display_messages(NULL, $error_message);?>
<form method="post" id="modComissioForm" action="<?php echo $_SERVER['PHP_SELF']; ?>" enctype="multipart/form-data" class="formulari" >
  <table cellpadding="4" cellspacing="4">
    <tr>
      <td align="right"><label for="nif">DNI / NIF *</label></td>
      <td><input id="nif" name="nif" type="text" value="<?php echo $nif ; ?>" />
        <span id="nifInfo">Introduir el NIF</span></td>
    </tr>
    <tr>
      <td align="right"><label for="nom">Nom *</label></td>
      <td><input id="nom" name="nom" type="text"  value="<?php echo $nom ; ?>"/>
        <span id="nomInfo">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td align="right"><label for="cognom1">Primer Cognom *</label></td>
      <td><input id="cognom1" name="cognom1" type="text" value="<?php echo $cognom1 ; ?>" />
        <span id="cognom1Info">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td align="right"><label for="cognom2">Segon Cognom *</label></td>
      <td><input id="cognom2" name="cognom2" type="text" value="<?php echo $cognom2 ; ?>" />
        <span id="cognom2Info">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td align="right"><label for="email">Email *</label></td>
      <td><input id="email" name="email" type="text" value="<?php echo $email ; ?>" />
        <span id="emailInfo">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td align="right"><label for="contrasenya">Nova Contrasenya *</label></td>
      <td><input id="contrasenya" name="contrasenya" type="password" value="" />
        <span id="contrasenyaInfo">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td align="right"><label for="conf_contrasenya">Confirmar Contrasenya *</label></td>
      <td><input id="conf_contrasenya" name="conf_contrasenya" type="password" value="" />
        <span id="conf_contrasenyaInfo">Introduir el Nom</span></td>
    </tr>
    <tr>
      <td colspan="2" align="center"><div>
          <input id="enviar" name="enviar" type="submit" value="Modificar Dades"  class="ilp-button ilp-button-blue" />
          <input id="sortir" name="sortir" type="submit" value="Sortir" class="ilp-button ilp-button-blue" />
        </div></td>
    </tr>
  </table>
</form>
<?php display_footer();?>
</body>
</html>
