<?php

require_once 'app_config.php';

define("SUCCESS_MESSAGE", "success");
define("ERROR_MESSAGE", "error");

session_start();

function page_start($title, $javascript = NULL, $applet = NULL, 
                    $success_message = NULL, $error_message = NULL) {

  display_head($title,$javascript, $applet);
  display_header($success_message, $error_message);
  
  //display_title($title, $success_message, $error_message);
}
function page_startjs($title, $javascript = NULL, $applet = NULL, $importjs = NULL, 
                    $success_message = NULL, $error_message = NULL) {

  display_head($title,$javascript, $applet, $importjs);
  display_header($success_message, $error_message);
  
  //display_title($title, $success_message, $error_message);
}
function display_head($page_title = "", $embedded_javascript = NULL, $applet, $importjs ) {
$siteroot=SITE_ROOT;    
echo <<<EOD
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">{$applet}
 <head>
  <title>{$page_title}</title>
  <script type="text/javascript" src="./js/jquery-1.7.1.min.js"></script>
  <script type="text/javascript" src="./js/validacio.js"></script>
{$importjs}
<link rel="stylesheet" href="./css/ilp.css" type="text/css" /><!--[if IE 5]>
<style type="text/css"> 
/* coloque las reparaciones del modelo de cuadro para IE 5* en este comentario condicional */
.twoColFixLtHdr #sidebar1 { width: 230px; }
</style>
<![endif]--><!--[if IE]>
<style type="text/css"> 
/* coloque las reparaciones de css para todas las versiones de IE en este comentario condicional */
.twoColFixLtHdr #sidebar1 { padding-top: 30px; }
.twoColFixLtHdr #mainContent { zoom: 1; }
/* la propiedad zoom propia que se indica más arriba proporciona a IE el hasLayout que necesita para evitar diversos errores */
</style>
<![endif]-->
EOD;
  if (!is_null($embedded_javascript)) {
    echo "<script type='text/javascript'>" .
         $embedded_javascript .
         "</script>";
  }
  echo " </head>";
}

function display_header($success_message = NULL, $error_message = NULL) {
echo <<<EOD
<body class="twoColFixLtHdr">
<div id="container">
  <div id="header">
  <table>
  <tr><td><img src="./imatges/logo_PLATAFORMA.png"/></td>
EOD;
	echo '<td width="700px" align="right" ><a href="index.php" target="_self">INICI</a> | ';
 if (isset($_SESSION['idcomissio'])) {
    
    echo '<a href="gestio_ilp.php" target="_self">GESTI</a> | ';
    echo '<a href="perfil.php" target="_self">PERFIL</a> | ';
    echo '<a href="sortir.php" target="_self">SORTIR</a></td>';
  } else {
    echo ' <a href="registre.php" target="_self">REGISTRA\'T</a> | ';
    echo ' <a href="acces.php" target="_self">ACCS</a></td>';
  }
echo <<<EOD
 </tr>
  </table>   
  <!-- end #header --></div>
EOD;
}

function display_footer() {
echo <<<EOD
<!-- end #mainContent --></div>
	<br class="clearfloat" />
  <div id="footer">
  <div style="width: 100%;height:3px;background: #F99D0D "></div>
  <div style="width: 100%;height:3px;background: #0033AA "></div>
  
    <b><label style="color:#0033AA">plataforma</label><label style="color:#F99D0D">legislativa.com</label></b>
  <!-- end #footer --></div>
  <!-- end #container --></div>
  
EOD;
}
function display_textbar($msg) {
echo <<<EOD
<div style="width: 100%;height:3px;background: #0033AA "></div>
<div style="width: 100%;height:3px;background: #F99D0D "></div>    
<div id="textbar"><label>{$msg}</label></div>
EOD;
}


function display_messages($success_msg = NULL, $error_msg = NULL) {
  echo "<div id='messages'>\n";
  if (!is_null($success_msg) && (strlen($error_msg) > 0)) {
    display_message($success_msg, SUCCESS_MESSAGE);
  }
  if (!is_null($error_msg) && (strlen($error_msg) > 0)) {
    display_message($error_msg, ERROR_MESSAGE);
  }
  echo "</div>\n\n";
}

function display_message($msg, $msg_type) {
  echo " <div class='{$msg_type}'>\n";
  echo "  <p>{$msg}</p>\n";
  echo " </div>\n";
}

function formatejarDataPHP($data){
  $dataini = explode("-",$data);
  $dati = $dataini[2]."/".$dataini[1]."/".$dataini[0];
  return $dati;
}

function formatejarDataMYSQL($data){
  $dataini = explode("/",$data);
  $dati = $dataini[2]."-".$dataini[1]."-".$dataini[0];
  return $dati;
}

function formatejarTimeStampPHP($data){
  $hora=substr($data,11);
  $dt=substr($data,0,-9);
  $dataini = explode("-",$dt);
  $dati = $dataini[2]."/".$dataini[1]."/".$dataini[0];
  $ret= $dati." - ".$hora;
  return $ret;
}


?>
